## org.eclipse.emf.common.ui.celleditor
Class ExtendedComboBoxCellEditor

    java.lang.Object
      org.eclipse.jface.viewers.CellEditor
          org.eclipse.jface.viewers.ComboBoxCellEditor
              org.eclipse.emf.common.ui.celleditor.ExtendedComboBoxCellEditor

    public class ExtendedComboBoxCellEditor

extends ComboBoxCellEditor

This uses a list of objects and a label provider to build a combo box based on model objects rather than on strings. If sort is true, the list will be modified to match the order of the sorted labels.

Nested Class Summary
`class` `ExtendedComboBoxCellEditor.FilteringAdapter`

Nested classes/interfaces inherited from class org.eclipse.jface.viewers.CellEditor
`CellEditor.LayoutData`

Field Summary
`static int` `DROP_DOWN_ON_KEY_ACTIVATION`
`static int` `DROP_DOWN_ON_MOUSE_ACTIVATION`
`static int` `DROP_DOWN_ON_PROGRAMMATIC_ACTIVATION`
`static int` `DROP_DOWN_ON_TRAVERSE_ACTIVATION`
`protected ILabelProvider` `labelProvider`
`protected java.util.List<?>` `list`
`protected java.util.List<?>` `originalList` This keeps track of the list of model objects.
`protected boolean` `sorted`

Fields inherited from class org.eclipse.jface.viewers.CellEditor
`COPY, CUT, DELETE, FIND, PASTE, REDO, SELECT_ALL, UNDO`

Constructor Summary
`ExtendedComboBoxCellEditor(Composite composite, java.util.List<?> list, ILabelProvider labelProvider)`
`ExtendedComboBoxCellEditor(Composite composite, java.util.List<?> list, ILabelProvider labelProvider, boolean sorted)`
`ExtendedComboBoxCellEditor(Composite composite, java.util.List<?> list, ILabelProvider labelProvider, boolean sorted, int style)`
`ExtendedComboBoxCellEditor(Composite composite, java.util.List<?> list, ILabelProvider labelProvider, int style)`

Method Summary
`void` `activate(ColumnViewerEditorActivationEvent arg0)`

`static

`<T> java.lang.String[]`

`

`createItems(java.util.List<T> list, ILabelProvider labelProvider, boolean sorted)`

`static

`<T> java.lang.String[]`

`

`createItems(java.util.List<T> list, ILabelProvider labelProvider, java.lang.String filter, boolean sorted)`

`java.lang.Object` `doGetValue()`
`void` `doSetValue(java.lang.Object value)`
`protected void` `refreshItems(java.lang.String filter)`
`static boolean` `select(java.lang.String filter, java.lang.String labelValue)`
`void` `setActivationStyle(int arg0)`

Methods inherited from class org.eclipse.jface.viewers.ComboBoxCellEditor
`createControl, doSetFocus, focusLost, getItems, getLayoutData, keyReleaseOccured, setItems`

Methods inherited from class org.eclipse.jface.viewers.CellEditor

`activate, addListener, addPropertyChangeListener, create, deactivate, deactivate, dependsOnExternalFocusListener, dispose, fireApplyEditorValue, fireCancelEditor, fireEditorValueChanged, fireEnablementChanged, getControl, getDoubleClickTimeout, getErrorMessage, getStyle, getValidator, getValue, isActivated, isCopyEnabled, isCorrect, isCutEnabled, isDeleteEnabled, isDirty, isFindEnabled, isPasteEnabled, isRedoEnabled, isSelectAllEnabled, isUndoEnabled, isValueValid, markDirty, performCopy, performCut, performDelete, performFind, performPaste, performRedo, performSelectAll, performUndo, removeListener, removePropertyChangeListener, setErrorMessage, setFocus, setStyle, setValidator, setValue, setValueValid, valueChanged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### originalList

    protected java.util.List<?> originalList

  This keeps track of the list of model objects.

### list

    protected java.util.List<?> list

### labelProvider

    protected ILabelProvider labelProvider

### sorted

    protected boolean sorted

### DROP_DOWN_ON_MOUSE_ACTIVATION

    public static final int DROP_DOWN_ON_MOUSE_ACTIVATION

See Also:
  Constant Field Values

### DROP_DOWN_ON_KEY_ACTIVATION

    public static final int DROP_DOWN_ON_KEY_ACTIVATION

See Also:
  Constant Field Values

### DROP_DOWN_ON_PROGRAMMATIC_ACTIVATION

    public static final int DROP_DOWN_ON_PROGRAMMATIC_ACTIVATION

See Also:
  Constant Field Values

### DROP_DOWN_ON_TRAVERSE_ACTIVATION

    public static final int DROP_DOWN_ON_TRAVERSE_ACTIVATION

See Also:
  Constant Field Values

Constructor Detail

### ExtendedComboBoxCellEditor

    public ExtendedComboBoxCellEditor(Composite composite,
                                      java.util.List<?> list,
                                      ILabelProvider labelProvider)

### ExtendedComboBoxCellEditor

    public ExtendedComboBoxCellEditor(Composite composite,
                                      java.util.List<?> list,
                                      ILabelProvider labelProvider,
                                      boolean sorted)

### ExtendedComboBoxCellEditor

    public ExtendedComboBoxCellEditor(Composite composite,
                                      java.util.List<?> list,
                                      ILabelProvider labelProvider,
                                      int style)

### ExtendedComboBoxCellEditor

    public ExtendedComboBoxCellEditor(Composite composite,
                                      java.util.List<?> list,
                                      ILabelProvider labelProvider,
                                      boolean sorted,
                                      int style)

Method Detail

### select

    public static boolean select(java.lang.String filter,
                                 java.lang.String labelValue)

### createItems

    public static <T> java.lang.String[] createItems(java.util.List<T> list,
                                                     ILabelProvider labelProvider,
                                                     boolean sorted)

### createItems

    public static <T> java.lang.String[] createItems(java.util.List<T> list,
                                                     ILabelProvider labelProvider,
                                                     java.lang.String filter,
                                                     boolean sorted)

### refreshItems

    protected void refreshItems(java.lang.String filter)

### doGetValue

    public java.lang.Object doGetValue()

  Overrides:
    `doGetValue` in class `ComboBoxCellEditor`

### doSetValue

    public void doSetValue(java.lang.Object value)

  Overrides:
    `doSetValue` in class `ComboBoxCellEditor`

### activate

    public void activate(ColumnViewerEditorActivationEvent arg0)

  Overrides:
    `activate` in class `CellEditor`

### setActivationStyle

    public void setActivationStyle(int arg0)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.